Skip to main content
PATCH
Update one supplier
Learn more:
  • What are partners (clients, suppliers, employees)? ↗

Path Parameters

consumer_id
string<uuid>
required
supplier_id
string
required

Query Parameters

folder_id
string | null

Id of the accounting folder instance. A folder represents a legal entity within the system. Required when the multiple folders feature is enabled.

Body

application/json
external_reference
string | null

External identifier used to link the supplier in the accounting system with the corresponding supplier reference in your own system.

Example:

"SUPP-0001"

first_name
string | null

Only used when the supplier is an individual (is_company=false). Indicates the first name of the supplier.

Example:

"John"

last_name
string | null

Only used when the supplier is an individual (is_company=false). Indicates the last name of the supplier.

Example:

"Doe"

name
string | null

Full name or legal name of the supplier (individual or company). This is the name that will be displayed in the accounting software.

Example:

"Example Company S.A."

function
string | null

Only used when the supplier is an individual (is_company=false). Indicates the function of the supplier.

Example:

"Accountant"

is_company
boolean | null
default:true

Indicates if the supplier is an individual or a company.

company_id
string | null

Only used when the supplier is an individual (is_company=false). Indicates the id of the company linked to the supplier.

Example:

"<accounting-company-id>"

phone
string | null

Phone number of the supplier.

Example:

"+32 2 000 00 00"

mobile
string | null

Mobile phone number of the supplier.

Example:

"+32 4 000 00 00"

email
string | null

Email address of the supplier.

Example:

"john.doe@example.com"

language
string | null

Language of the supplier. Format: ISO 639-1 codes.

Example:

"en"

internal_notes
string | null

Internal notes about the supplier.

Example:

"Preferred contact: accounts receivable team."

website
string | null

Website of the supplier.

Example:

"https://www.example.com"

vat
string | null

VAT number of the supplier.

Example:

"BE0000000000"

company_number
string | null

National identification number of the company.

Example:

"0000000000"

iban
string | null

IBAN account number of the supplier.

Example:

"BE00000000000000"

bank_account
string | null

Bank account number of the supplier.

Example:

"0000000000"

currency
string | null

Indicates the currency of the supplier (e.g., EUR).

Example:

"EUR"

active
boolean | null
default:true

Indicates if the supplier is active.

addresses
AddressItemOut · object[] | null

List of addresses associated with the supplier.

Response

Successful Response

external_reference
string | null

External identifier used to link the supplier in the accounting system with the corresponding supplier reference in your own system.

Example:

"SUPP-0001"

first_name
string | null

Only used when the supplier is an individual (is_company=false). Indicates the first name of the supplier.

Example:

"John"

last_name
string | null

Only used when the supplier is an individual (is_company=false). Indicates the last name of the supplier.

Example:

"Doe"

name
string | null

Full name or legal name of the supplier (individual or company). This is the name displayed in the accounting software.

Example:

"Example Company S.A."

function
string | null

Only used when the supplier is an individual (is_company=false). Indicates the function of the supplier.

Example:

"Accountant"

is_company
boolean | null
default:true

Indicates if the supplier is an individual or a company.

company_id
string | null

Only used when the supplier is an individual (is_company=false). Indicates the id of the company linked to the supplier.

Example:

"<accounting-company-id>"

phone
string | null

Phone number of the supplier.

Example:

"+32 2 000 00 00"

mobile
string | null

Mobile phone number of the supplier.

Example:

"+32 4 000 00 00"

email
string | null

Email address of the supplier.

Example:

"john.doe@example.com"

language
string | null

Language of the supplier. Format: ISO 639-1 codes.

Example:

"en"

internal_notes
string | null

Internal notes about the supplier.

Example:

"Preferred contact: accounts receivable team."

website
string | null

Website of the supplier.

Example:

"https://www.example.com"

vat
string | null

VAT number of the supplier.

Example:

"BE0000000000"

company_number
string | null

National identification number of the company.

Example:

"0000000000"

iban
string | null

IBAN account number of the supplier. DEPRECATED see bank_accounts

bank_account
string | null

Bank account number of the supplier. DEPRECATED see bank_accounts

currency
string | null

Indicates the currency of the supplier (e.g., EUR).

Example:

"EUR"

active
boolean | null
default:true

Indicates if the supplier is active.

account_number
string | null

Ledger account number assigned to the supplier in the accounting system as it will appear in the official accounting export file (FEC, SIE, iXBRL, etc.).

Example:

"<accounting-account-number>"

id
string | null

Id of the supplier in the accounting software. This is the unique identifier used to reference the supplier in the system.

Example:

"<this-supplier-id>"

last_updated_on
string<date-time> | null

The last time the supplier has been updated.

Example:

"2026-01-15T10:30:00Z"

addresses
AddressItemOut · object[] | null

List of addresses associated with the supplier.

third_party_account
string | null

Third party account number/code representing the client in the accounting software.

bank_accounts
BankAccountsItem · object[] | null

List of bank accounts information associated with the suppliers.